io.milvus.param.partition

## Class GetPartitionStatisticsParam.Builder

- java.lang.Object
- - io.milvus.param.partition.GetPartitionStatisticsParam.Builder

- Enclosing class:
    GetPartitionStatisticsParam

      public static final class GetPartitionStatisticsParam.Builder
      extends java.lang.Object

  Builder for `GetPartitionStatisticsParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetPartitionStatisticsParam` | `build()` Verifies parameters and creates a new `GetPartitionStatisticsParam` instance.
    `GetPartitionStatisticsParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `GetPartitionStatisticsParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `GetPartitionStatisticsParam.Builder` | `withFlush(@NonNull java.lang.Boolean flush)` Requires a flush action before retrieving partition statistics.
    `GetPartitionStatisticsParam.Builder` | `withPartitionName(@NonNull java.lang.String partitionName)` Sets the partition name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public GetPartitionStatisticsParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public GetPartitionStatisticsParam.Builder withCollectionName(@NonNull
                                                                        @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionName

          public GetPartitionStatisticsParam.Builder withPartitionName(@NonNull
                                                                       @NonNull java.lang.String partitionName)

      Sets the partition name. Partition name cannot be empty or null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### withFlush

          public GetPartitionStatisticsParam.Builder withFlush(@NonNull
                                                               @NonNull java.lang.Boolean flush)

      Requires a flush action before retrieving partition statistics.
      Parameters:
        `flush` - `Boolean.TRUE` require a flush action
      Returns:
        `Builder`

    - #### build

          public GetPartitionStatisticsParam build()
                                            throws ParamException

      Verifies parameters and creates a new `GetPartitionStatisticsParam` instance.
      Returns:
        `GetPartitionStatisticsParam`
      Throws:
        `ParamException`